//##############################################################################
// volumeicon
//
// config.h - a singleton providing configuration values/functions
// 
// Copyright 2010 Maato
//
// Authors:
//    Maato <maato@softwarebakery.com>
//
// This program is free software: you can redistribute it and/or modify it
// under the terms of the GNU General Public License version 3, as published
// by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranties of
// MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
// PURPOSE.  See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program.  If not, see <http://www.gnu.org/licenses/>.
//##############################################################################

#ifndef __CONFIG_H__
#define __CONFIG_H__

void config_write();
void config_initialize();

void config_set_helper(const gchar * helper);
void config_set_theme(const gchar * theme);
void config_set_channel(const gchar * channel);
void config_set_stepsize(int stepsize);
void config_set_left_mouse_slider(gboolean active);

const gchar * config_get_helper();
const gchar * config_get_theme();
const gchar * config_get_channel();
gboolean config_get_use_gtk_theme();
gboolean config_get_left_mouse_slider();
int config_get_stepsize();

#endif

